datasets.hpp File Reference

IPTC dataset and type information. More...

`#include "exiv2lib_export.h"`
`#include "metadatum.hpp"`
`#include <set>`
`#include <vector>`
`#include <map>`

Go to the source code of this file.

## Classes

struct | Exiv2::RecordInfo
| Details of an IPTC record. More...
struct | Exiv2::DataSet
| Details of an IPTC dataset. More...
class | Exiv2::IptcDataSets
| IPTC dataset reference, implemented as a static class. More...
class | Exiv2::IptcKey
| Concrete keys for IPTC metadata. More...

## Namespaces

| Exiv2
| Provides classes and functions to encode and decode Exif and Iptc data. The libexiv2 API consists of the objects of this namespace.

## Typedefs

typedef std::map< std::string, std::string > | Exiv2::Dictionary
| typedef for string:string map
typedef Dictionary * | Exiv2::Dictionary_p
| typedef for Dictionary*
typedef Dictionary::const_iterator | Exiv2::Dictionary_i
| typedef for Dictionary iterator
typedef std::set< std::string > | Exiv2::StringSet
| typedef for string set (unique strings)
typedef StringSet * | Exiv2::StringSet_p
| typedef for StringSet*
typedef std::set< std::string >::const_iterator | Exiv2::StringSet_i
| Class to provide a StringSet iterator.
typedef std::vector< std::string > | Exiv2::StringVector
| typedef for string vector
typedef StringVector * | Exiv2::StringVector_p
| typedef for StringVector pointer
typedef StringVector::const_iterator | Exiv2::StringVector_i
| Class to provide a StringVector iterator.
typedef std::vector< uint32_t > | Exiv2::Uint32Vector
| typedef for uint32_t vector
typedef Uint32Vector * | Exiv2::Uint32Vector_p
| typedef for Uint32Vector pointer
typedef Uint32Vector::const_iterator | Exiv2::Uint32Vector_i
| typedef for Uint32Vector iterator

## Functions

EXIV2API std::ostream & | Exiv2::operator<< (std::ostream &os, const DataSet &dataSet)
| Output operator for dataSet.

## Detailed Description

IPTC dataset and type information.

Author
  Brad Schick (brad) brad@.nosp@m.robo.nosp@m.tbatt.nosp@m.le.c.nosp@m.om

Date
  24-Jul-04, brad: created